org.jboss.jca.common.metadata.ds

## Class DataSourceImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl
  - - org.jboss.jca.common.metadata.ds.DataSourceImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.CommonDataSource, org.jboss.jca.common.api.metadata.ds.DataSource, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class DataSourceImpl
      extends DataSourceAbstractImpl
      implements org.jboss.jca.common.api.metadata.ds.DataSource

  A datasource implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.DataSource

      `org.jboss.jca.common.api.metadata.ds.DataSource.Attribute, org.jboss.jca.common.api.metadata.ds.DataSource.Tag`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl

      `bundle, connectable, driver, enabled, enlistmentTrace, jndiName, mcp, newConnectionSql, poolName, security, spy, statement, timeOut, tracking, transactionIsolation, urlDelimiter, urlSelectorStrategyClassName, useCcm, useJavaContext, validation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceImpl(java.lang.String connectionUrl, java.lang.String driverClass, java.lang.String dataSourceClass, java.lang.String driver, org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation, java.util.Map<java.lang.String,java.lang.String> connectionProperties, org.jboss.jca.common.api.metadata.ds.TimeOut timeOut, org.jboss.jca.common.api.metadata.ds.DsSecurity security, org.jboss.jca.common.api.metadata.ds.Statement statement, org.jboss.jca.common.api.metadata.ds.Validation validation, java.lang.String urlDelimiter, java.lang.String urlSelectorStrategyClassName, java.lang.String newConnectionSql, java.lang.Boolean useJavaContext, java.lang.String poolName, java.lang.Boolean enabled, java.lang.String jndiName, java.lang.Boolean spy, java.lang.Boolean useccm, java.lang.Boolean jta, java.lang.Boolean connectable, java.lang.Boolean tracking, java.lang.String mcp, java.lang.Boolean enlistmentTrace, org.jboss.jca.common.api.metadata.ds.DsPool pool)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `forceDataSourceClass(java.lang.String dataSourceClass)` Set the dataSourceClass.
    `void` | `forceDriverClass(java.lang.String driverClass)` Set the driverClass.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConnectionProperties()` Get the connectionProperties.
    `java.lang.String` | `getConnectionUrl()` Get the connectionUrl.
    `java.lang.String` | `getDataSourceClass()` Get the dataSourceClass.
    `java.lang.String` | `getDriverClass()` Get the driverClass.
    `org.jboss.jca.common.api.metadata.ds.DsPool` | `getPool()` Get the pool.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isJTA()` Get the JTA setting.
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl

      `getDriver, getJndiName, getMcp, getNewConnectionSql, getPoolName, getSecurity, getStatement, getTimeOut, getTransactionIsolation, getUrlDelimiter, getUrlSelectorStrategyClassName, getValidation, isConnectable, isEnabled, isEnlistmentTrace, isSpy, isTracking, isUseCcm, isUseJavaContext, partialCommonValidation, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.DataSource

      `getNewConnectionSql, getStatement, getUrlDelimiter, getUrlSelectorStrategyClassName, isConnectable, isTracking`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ds.CommonDataSource

      `getDriver, getJndiName, getMcp, getPoolName, getSecurity, getTimeOut, getTransactionIsolation, getValidation, isEnabled, isEnlistmentTrace, isSpy, isUseCcm, isUseJavaContext, setEnabled`

- - ### Constructor Detail

    - #### DataSourceImpl

          public DataSourceImpl(java.lang.String connectionUrl,
                                java.lang.String driverClass,
                                java.lang.String dataSourceClass,
                                java.lang.String driver,
                                org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation,
                                java.util.Map<java.lang.String,java.lang.String> connectionProperties,
                                org.jboss.jca.common.api.metadata.ds.TimeOut timeOut,
                                org.jboss.jca.common.api.metadata.ds.DsSecurity security,
                                org.jboss.jca.common.api.metadata.ds.Statement statement,
                                org.jboss.jca.common.api.metadata.ds.Validation validation,
                                java.lang.String urlDelimiter,
                                java.lang.String urlSelectorStrategyClassName,
                                java.lang.String newConnectionSql,
                                java.lang.Boolean useJavaContext,
                                java.lang.String poolName,
                                java.lang.Boolean enabled,
                                java.lang.String jndiName,
                                java.lang.Boolean spy,
                                java.lang.Boolean useccm,
                                java.lang.Boolean jta,
                                java.lang.Boolean connectable,
                                java.lang.Boolean tracking,
                                java.lang.String mcp,
                                java.lang.Boolean enlistmentTrace,
                                org.jboss.jca.common.api.metadata.ds.DsPool pool)
                         throws org.jboss.jca.common.api.validator.ValidateException

      Constructor
      Parameters:
        `connectionUrl` - connectionUrl
        `driverClass` - driverClass
        `dataSourceClass` - dataSourceClass
        `driver` - driver
        `transactionIsolation` - transactionIsolation
        `connectionProperties` - connectionProperties
        `timeOut` - timeOut
        `security` - security
        `statement` - statement
        `validation` - validation
        `urlDelimiter` - urlDelimiter
        `urlSelectorStrategyClassName` - urlSelectorStrategyClassName
        `newConnectionSql` - newConnectionSql
        `useJavaContext` - useJavaContext
        `poolName` - poolName
        `enabled` - enabled
        `jndiName` - jndiName
        `spy` - spy
        `useccm` - useccm
        `jta` - jta
        `connectable` - connectable
        `tracking` - tracking
        `mcp` - mcp
        `enlistmentTrace` - enlistmentTrace
        `pool` - pool
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### isJTA

          public java.lang.Boolean isJTA()

      Get the JTA setting.
      Specified by:
        `isJTA` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        The value

    - #### getConnectionUrl

          public java.lang.String getConnectionUrl()

      Get the connectionUrl.
      Specified by:
        `getConnectionUrl` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        the connectionUrl.

    - #### getDriverClass

          public java.lang.String getDriverClass()

      Get the driverClass.
      Specified by:
        `getDriverClass` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        the driverClass.

    - #### getDataSourceClass

          public java.lang.String getDataSourceClass()

      Get the dataSourceClass.
      Specified by:
        `getDataSourceClass` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        the value.

    - #### getConnectionProperties

          public java.util.Map<java.lang.String,java.lang.String> getConnectionProperties()

      Get the connectionProperties.
      Specified by:
        `getConnectionProperties` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        the connectionProperties.

    - #### getPool

          public org.jboss.jca.common.api.metadata.ds.DsPool getPool()

      Get the pool.
      Specified by:
        `getPool` in interface `org.jboss.jca.common.api.metadata.ds.DataSource`
      Returns:
        the pool.

    - #### forceDriverClass

          public void forceDriverClass(java.lang.String driverClass)

      Set the driverClass.
      Parameters:
        `driverClass` - The driverClass to set.

    - #### forceDataSourceClass

          public void forceDataSourceClass(java.lang.String dataSourceClass)

      Set the dataSourceClass.
      Parameters:
        `dataSourceClass` - The dataSourceClass to set.

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DataSourceAbstractImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `DataSourceAbstractImpl`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `DataSourceAbstractImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)